Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1)

Unified Diff: third_party/protobuf/autogen.sh

Issue 1842653006: Update //third_party/protobuf to version 3. (Closed) Base URL: https://chromium.googlesource.com/chromium/src.git@master
Patch Set: merge Created 4 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « third_party/protobuf/appveyor.yml ('k') | third_party/protobuf/benchmarks/ProtoBench.java » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: third_party/protobuf/autogen.sh
diff --git a/third_party/protobuf/autogen.sh b/third_party/protobuf/autogen.sh
new file mode 100755
index 0000000000000000000000000000000000000000..5b4c29f8c06fa38d00b1931a976ba62e6bbb6e4f
--- /dev/null
+++ b/third_party/protobuf/autogen.sh
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+# Run this script to generate the configure script and other files that will
+# be included in the distribution. These files are not checked in because they
+# are automatically generated.
+
+set -e
+
+if [ ! -z "$@" ]; then
+ for argument in "$@"; do
+ case $argument in
+ # make curl silent
+ "-s")
+ curlopts="-s"
+ ;;
+ esac
+ done
+fi
+
+
+# Check that we're being run from the right directory.
+if test ! -f src/google/protobuf/stubs/common.h; then
+ cat >&2 << __EOF__
+Could not find source code. Make sure you are running this script from the
+root of the distribution tree.
+__EOF__
+ exit 1
+fi
+
+# Check that gmock is present. Usually it is already there since the
+# directory is set up as an SVN external.
+if test ! -e gmock; then
+ echo "Google Mock not present. Fetching gmock-1.7.0 from the web..."
+ curl $curlopts -O https://googlemock.googlecode.com/files/gmock-1.7.0.zip
+ unzip -q gmock-1.7.0.zip
+ rm gmock-1.7.0.zip
+ mv gmock-1.7.0 gmock
+fi
+
+set -ex
+
+# TODO(kenton): Remove the ",no-obsolete" part and fix the resulting warnings.
+autoreconf -f -i -Wall,no-obsolete
+
+rm -rf autom4te.cache config.h.in~
+exit 0
« no previous file with comments | « third_party/protobuf/appveyor.yml ('k') | third_party/protobuf/benchmarks/ProtoBench.java » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698